        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE RULE_WRITE__genmod
          INTERFACE 
            SUBROUTINE RULE_WRITE(ORDER,X,W,R,FILENAME)
              INTEGER(KIND=4) :: ORDER
              REAL(KIND=8) :: X(ORDER)
              REAL(KIND=8) :: W(ORDER)
              REAL(KIND=8) :: R(2)
              CHARACTER(*) :: FILENAME
            END SUBROUTINE RULE_WRITE
          END INTERFACE 
        END MODULE RULE_WRITE__genmod
